# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Catalyst.pm) perl(Catalyst/Test.pm) perl(Moose.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-CatalystX-InjectComponent
Version:        0.025
Release:        alt1_2
Summary:        Inject components into your Catalyst application
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/CatalystX-InjectComponent/
Source0:        http://search.cpan.org/CPAN/authors/id/R/RO/ROKR/CatalystX-InjectComponent-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Catalyst/Runtime.pm)
BuildRequires:  perl(Class/Inspector.pm)
BuildRequires:  perl(Devel/InnerPackage.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(parent.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Most.pm)
Requires:       perl(Catalyst/Runtime.pm) >= 5.800.0
Requires:       perl(parent.pm)


Source44: import.info

%description
CatalystX::InjectComponent will inject Controller, Model, and View components
into your Catalyst application at setup (run)time. It does this by creating a
new package on-the-fly, having that package extend the given component, and
then having Catalyst setup the new component (via ->setup_component).

%prep
%setup -q -n CatalystX-InjectComponent-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.025-alt1_2
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.025-alt1_1
- update to new release by fcimport

* Tue May 29 2012 Igor Vlasenko <viy@altlinux.ru> 0.024-alt1_2
- fc import

